API Reference
Wallet
Store wallet balance and transactions.
3 endpoints· Auth: API Key
get
/api/v1/store/integrations/wallet API KeyGet wallet
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/wallet" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
put
/api/v1/store/integrations/wallet/bank-details API KeyUpdate bank-details
Request body
application/json
{
"bankName": "string",
"accountNumber": "string",
"iban": "string"
}| bankName string | — |
| accountNumber string | — |
| iban string | — |
Responses
200Success
cURL
curl -X PUT "https://stagging-api.sendyiq.com/api/v1/store/integrations/wallet/bank-details" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"bankName": "string",
"accountNumber": "string",
"iban": "string"
}' Try itagainst staging · https://stagging-api.sendyiq.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/wallet/transactions API KeyGet transactions
Query parameters
| type string | — |
| from string (date-time) | — |
| to string (date-time) | — |
| page integer (int32) | — |
| per_page integer (int32) | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/wallet/transactions" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Query parameters
Set credentials in the “Authorize” menu